<template>
  <component :is="earComponent" v-if="earComponent" />
</template>

<script lang="ts" setup>
import { computed } from 'vue'
import Up from './Up.vue'
import Down from './Down.vue'
import EyelashesUp from './EyelashesUp.vue'
import EyelashesDown from './EyelashesDown.vue'
import { EyebrowType } from '@/api'

const props = defineProps<{
  type: EyebrowType
}>()

const earComponent = computed<typeof Up>(() => {
  switch (props.type) {
    case 'eyelashesUp':
      return EyelashesUp
    case 'eyelashesDown':
      return EyelashesDown
    case 'down':
      return Down
    case 'up':
    default:
      return Up
  }
})
</script>
